<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style>
div{
	height:3px;
	width: 100px;
	position: relative;
	background:rgba(0,0,0,0.3);
}
div::before{
	content:"";
	position: absolute;
	width: 30%;height:100%;
	background:rgba(0,0,0,0.8);
	top:0;
	left:0;
	transition:.3s; 
}
div:hover::before{
	width:70%;
}
</style>
<body>
	<div>
		
	</div>
</body>
</html>